%define upstream_name	 Algorithm-Graphs-TransitiveClosure
%define upstream_version 2009110901

Name:		    perl-%{upstream_name}
Version:	    %perl_convert_version %{upstream_version}
Release:	    %mkrel 7

Summary:	    Calculate the transitive closure
License:	    GPL+ or Artistic
Group:		    Development/Perl
URL:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz



BuildArch:	    noarch
Obsoletes: perl-TransitiveClosure <= 1.4
Provides:  perl-TransitiveClosure = %{version}-%{release}

%description
This is an implementation of the well known Floyd-Warshall algorithm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files 
%doc Changes META.yml
%{perl_vendorlib}/Algorithm
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2009110901.0.0-7.mga6
+ Revision: 1022259
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 2009110901.0.0-6.mga6
+ Revision: 930873
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2009110901.0.0-5.mga5
+ Revision: 746927
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2009110901.0.0-4.mga5
+ Revision: 683450
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2009110901.0.0-3.mga4
+ Revision: 509049
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2009110901.0.0-2.mga3
+ Revision: 362852
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 2009110901.0.0-1.mga1
+ Revision: 29777
- mageia rebuild
- imported package perl-Algorithm-Graphs-TransitiveClosure

